;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; various workspaces used day to day

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; org-mode workspace
(defun kmn/workspace-org ()
  (interactive)
  ; front load org-agenda so it doesnt reshuffle the frame layout on us
  (org-agenda nil "r")
  ; start with fresh frame
  (delete-other-windows)
  ; show kmn's slipbox
  (find-file "~/org/orgzly/_slipbox.org")
  ; split window for additional file to show
  (split-window-below)
  (next-multiframe-window)
  ; show kmn health notes/data tracker
  (find-file "~/org/health/health_mike.org")
  ; put agenda in top side window (works around org-mode limitations
  (kmn/org-agenda-on-top)
)
